import {get, post} from '../http'
import {uploadImage} from './upload'

const provider = {
  addServiceProvider: (params) => {
    return post('serviceProvider/addServiceProvider', params)
  },
  getServiceProviderPages: (params) => {
    return post('serviceProvider/getServiceProviderPages', params)
  },
  updateServiceProvider: (params) => {
    return post('serviceProvider/updateServiceProvider', params)
  },
  getServiceProviderInfo: (params) => {
    return get('serviceProvider/getServiceProviderInfo', params)
  },
  deleteProviderInfo: (params) => {
    return get('serviceProvider/delServiceProviderInfo', params)
  },
  getAllServiceProvider: (params) => {
    return get('serviceProvider/getAllServiceProviderList', params)
  },
  uploadLogo: (data) => {
    return uploadImage(data, "SERVICE_LOGO")
  }
}

export default provider;